Module java.desktop
Package java.beans.beancontext

# Class BeanContextServicesSupport.BCSSServiceProvider

java.lang.Object
java.beans.beancontext.BeanContextServicesSupport.BCSSServiceProvider

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  BeanContextServicesSupport

protected static class BeanContextServicesSupport.BCSSServiceProvider extends Object implements Serializable
subclasses may subclass this nested class to add behaviors for each BeanContextServicesProvider.

See Also:
  Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected BeanContextServiceProvider`
`serviceProvider`
The service provider.

## Method Summary

Modifier and Type
Method
Description
`protected BeanContextServiceProvider`
`getServiceProvider()`
Returns the service provider.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### serviceProvider

protected BeanContextServiceProvider serviceProvider
The service provider.

## Method Details

### getServiceProvider

protected BeanContextServiceProvider getServiceProvider()
Returns the service provider.

Returns:
  the service provider